GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

        • Organization Management

          • Get Organization Details
          • Batch Get Organization Details
          • Get Organization List
          • Create Organization
          • Update Organization
          • Delete Organization
          • Search Organization List
          • Get Department Info
          • Create Department
          • Update Department
          • Delete Department
          • Search Departments
          • Get Child Department List
          • Get Department Member List
          • Get Department Direct Member ID List
          • Search Department Members
          • Add Department Members
          • Remove Department Members
          • Get Parent Department Info
          • Check if User is in Department
        • Role Management

        • User Group Management

        • Custom Field Management

        • Resource and Permission Management

        • 管理应用

        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. Organization Management

  10. /
  11. Check if User is in Department

¶ Determine whether the user is in a certain department

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Use the organization code and department ID to determine whether the user is in a certain department, and you can choose to include sub-departments.

¶ Method name

ManagementClient.is_user_in_department

¶ Request parameters

NameType
Required
Default value
Description
Sample value
userIdstringYes-The unique identifier of the user, which can be user ID, user name, email address, mobile phone number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id.6229ffaxxxxxxxxcade3e3d9
organizationCodestringyes-Organization codesteamory
departmentIdstringyes-Department ID, pass root for the root department. Either departmentId or departmentCode must be passed.root
departmentIdTypestringnodepartment_idThe type of department ID used in this calldepartment_id
includeChildrenDepartmentsbooleanno-Whether to include child departments
tenantIdstringno-Tenant ID623c20b2a062aaaaf41b17da

¶ Request Response

Type: IsUserInDepartmentRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataIsUserInDepartmentDataDtodata

Example results:

{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "inDepartment": true
  }
}

¶ Data Structure

¶ IsUserInDepartmentDataDto

NameType
Is it required
Description
Example value
inDepartmentbooleanyesin this departmenttrue
Previous article: Get Parent Department Info Next article: Get Role Details
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.